unit ErrMsg;
////////////////////////////////////////////////////////////////////////////////
//
//                                       
//
////////////////////////////////////////////////////////////////////////////////

                                  interface
////////////////////////////////////////////////////////////////////////////////

function ErrMsgText(code: integer): string;

                                implementation
////////////////////////////////////////////////////////////////////////////////
uses
  ErrCodes;

function ErrMsgText(code: integer): string;
begin
  case code of
    RES_OK                  : result := 'OK !';
    //
    RES_NO_CARD_ERROR       : result := ' ';
    RES_ERR_INVALID_HANDLE  : result := ' handle';
    RES_EMPTY               : result := ' ';
    RES_WRONG_PARAMS        : result := ' ';
    RES_CRC_ERROR           : result := '  ';
    RES_INVALID_DATA        : result := ' ';
    RES_COMM_TIMEOUT        : result := ' ';
    RES_READ_ERROR          : result := '  ';
    RES_WRITE_ERROR         : result := ' ';
    RES_OVERFLOW_ERROR      : result := ' ';
    RES_JUST_OPENED         : result := ' ';
    RES_JUST_CLOSED         : result := ' ';
    RES_NO_IMPLEMENTED      : result := '  ';
    
  else
    result := '   '
  end { case };
end;

end.

